Getting error code "Unsupported launcher (argc = 0)" on boot

Discussion in '3DS - Flashcards & Custom Firmwares' started by straKK, Jun 4, 2017.

  1. straKK
    OP

    straKK Member

    Newcomer
    16
    6
    Mar 21, 2014
    United States
    Hi guys I have gateway and was trying to install b9s via 3ds.guide today.

    In Step 3 of Section III in 3ds.guide, after installing b9s, whenever I try to reboot into the Luma3DS configuration menu, I get a black screen with the error:

    An error has occurred:
    Unsupported launcher (argc = 0)
    Press any button to shutdown.

    Trying to boot without the SD card and cart only flashes the blue light for half a second; hoping someone can help me out.

    On a Gateway O3DS XL firmware 4.5.0-U
     
    Last edited by straKK, Jun 4, 2017


  2. Justin20020

    Justin20020 GBAtemp Advanced Fan

    Member
    574
    115
    Jun 22, 2015
    Gambia, The
    Can you post a screenshot from the root of the sd card?

    -edit-

    Or just try the troubleshooting on the 3ds.guide at the title

    Black screen on SysNAND boot after Installing boot9strap
     
    Last edited by Justin20020, Jun 4, 2017
  3. godreborn

    godreborn GBAtemp Psycho!

    Member
    3,532
    660
    Oct 10, 2009
    United States
    the problem could be with gateway or ur firmware (not sure if that could be the case). I was on the latest firmware with a9lh when I updated my n3ds. I haven't updated my o3ds yet as I was waiting for gateway or someone to buy it (the system) off of me. it's still on a9lh with that system. I'll update it to b9s if anyone wants as I don't think gateway will ever update.
     
  4. zoogie

    zoogie simple pimp tool

    Member
    6,321
    7,993
    Nov 30, 2014
    United States
    The guide is currently broken because sciresM updated b9strap and other repos haven't.
     
    :-infern:, Quantumcat and MelonGx like this.
  5. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    Gonna have to make a copy/paste for this because of how new the error is, but...

    B9S was updated to 1.1 despite no one else being ready for it, so nothing really works with it atm, sorry to say. You'll have to wait a bit for a fix, but you haven't bricked, don't worry.
     
    :-infern: and straKK like this.
  6. straKK
    OP

    straKK Member

    Newcomer
    16
    6
    Mar 21, 2014
    United States
    Wow, well heck. Lol. Thanks so much for clearing that up for me.
     
  7. godreborn

    godreborn GBAtemp Psycho!

    Member
    3,532
    660
    Oct 10, 2009
    United States
    I assumed we were okay or that bootstrap didn't need updating due to how the hack works. I guess I was wrong there.
     
  8. RustInPeace

    RustInPeace Samurai Cop

    Member
    2,847
    2,171
    Oct 13, 2014
    United States
    You know, since the guide directs you to the latest release of B9S, it's as if people are going to continue to run into the mistake of not reading, it says very clearly that it's not ready to be updated until others like Luma3DS update to accommodate it. They would then scroll down a bit to the previous release, no problems.
     
  9. zoogie

    zoogie simple pimp tool

    Member
    6,321
    7,993
    Nov 30, 2014
    United States
    The linked page on the guide doesn't say anything about waiting. You can't expect every common Guide user to follow dev's twitter accounts.
     
  10. zaqqaz00

    zaqqaz00 Advanced Member

    Newcomer
    75
    23
    Jul 17, 2010
    United States
    Dallas
    My friend has same error message
    He followed my advice to follow the 3ds.guide
    He has a new out of box brand new N3ds on fw 11.3 USA
    Hopefully there will be a fix
     
  11. RustInPeace

    RustInPeace Samurai Cop

    Member
    2,847
    2,171
    Oct 13, 2014
    United States
    The link leads to B9S 1.0. Was it changed within the last hour or so? Plus it seems now 1.1 got tagged as a pre-release, so it's something one should assume not to touch just yet.
     
  12. zoogie

    zoogie simple pimp tool

    Member
    6,321
    7,993
    Nov 30, 2014
    United States
    https://github.com/SciresM/boot9strap/releases/latest
    from
    https://3ds.guide/installing-boot9strap-(homebrew-launcher)

    That's the link posted on the guide. I don't really blame users for taking the Guide's word over some repo's tag.

    Oh wait, it must have changed in the last few minutes, forget what I said.
     
    Last edited by zoogie, Jun 4, 2017
  13. nasho97

    nasho97 Newbie

    Newcomer
    1
    0
    Jun 4, 2017
    Cote d'Ivoire
  14. Xiphiidae

    Xiphiidae ξίφος εἶδος

    Member
    2,080
    1,016
    Sep 13, 2009
    Australia
    Last edited by Xiphiidae, Jun 4, 2017
    straKK likes this.
  15. zaqqaz00

    zaqqaz00 Advanced Member

    Newcomer
    75
    23
    Jul 17, 2010
    United States
    Dallas
    Actually it does not say that at all anywhere and in fact says "To install: Use SafeB9SInstaller, or just follow the community guide"

    Actually the guide now directs to 1.0 but just prior to that the guide was directing to the 1.1 version and stated and still does "To install: Use SafeB9SInstaller, or just follow the community guide"
    It now is now designated as PRE-RELEASE as just prior to the link re-direction it stated LATEST RELEASE
     
    Xiphiidae likes this.
  16. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    Quick follow up: Using the latest hourly release of Luma3DS from this site should help you for now, though it is important to know that the builds posted on that site are not an official release.

    After that, follow the guide normally, and when you're done, go to Luma Updater to update to the latest hourly.

    I upgraded to B9S 1.1 just to test this out, that should be the best you can do atm.

    If you don't wanna use the hourlies, or that site, then you'll just have to wait a bit.

    Edit: Only do this if you're on B9S 1.1 already. There is no reason for you to do this otherwise. Likewise, do not update to B9S 1.1 yet unless you know what you're doing.
     
    Last edited by Pyra, Jun 4, 2017
  17. straKK
    OP

    straKK Member

    Newcomer
    16
    6
    Mar 21, 2014
    United States
    it appears i picked the wrong half hour window to finally upgrade. :P
     
    Alex S, retrofan_k and po_ya like this.
  18. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    Yea, that is probably the shittiest luck I've seen in a while lol.

    But yea, just do what @Xiphiidae and I said, and you should have your 3DS working again for now.
     
    Xiphiidae likes this.
  19. zaqqaz00

    zaqqaz00 Advanced Member

    Newcomer
    75
    23
    Jul 17, 2010
    United States
    Dallas
    I sent this Luma nightly build to my pal and he reports back that it works

    Big thank to Xiphiidae and everybody else I see by the time I got an answer from my pal. more hlep ensued
     
    Pyra and Xiphiidae like this.
  20. Xiphiidae

    Xiphiidae ξίφος εἶδος

    Member
    2,080
    1,016
    Sep 13, 2009
    Australia
    Great to hear that everything's working.